Fetch All Coupon Files From Coupon List
curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"data": [
{
"coupon_list_id": "<string>",
"name": "<string>",
"status": "<string>",
"file_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "<string>",
"_id": "<string>",
"added_coupons": 123,
"callback_url": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Fetch All Coupon Files From Coupon List
This API retrieves the details of each file in the given coupon list that is added and not deleted. The information retrieved will include the file’s status, the number of coupons added from each file, and the respective file’s addition date, thereby providing a comprehensive breakdown of each file’s information for improved management and tracking.
GET
/
coupon-list
/
{coupon_list_id}
/
files
Fetch All Coupon Files From Coupon List
curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"data": [
{
"coupon_list_id": "<string>",
"name": "<string>",
"status": "<string>",
"file_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "<string>",
"_id": "<string>",
"added_coupons": 123,
"callback_url": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}There is no request body or content to send for this request except for headers.
Rate Limit
You can fetch 10,000 coupon files from coupon lists per day.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.